header, nav, main {
    max-width: 800px;
    text-align: center;
    margin: 0 auto; 
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.top {
    display: flex;
    flex-direction: column;
}

.title {
    font-size: 30px;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.title a {
    text-decoration: none;
    color: darkblue;
    margin-left: 10px;
}

.title a:hover {
    color: rgb(56, 138, 189);
}

.login a{
    text-decoration: none;
    font-family: Georgia, 'Times New Roman', Times, serif;
    color: darkblue;
    margin-left: 10px
}

.login a:hover{
    color: rgb(56, 138, 189);
}

.nav-row {
    font-family: Georgia, 'Times New Roman', Times, serif;
    width: 100%; 
    max-width: 70px;
    display: flex;
    flex-direction: column;
}

.nav-row a {
    text-decoration: none;
    color: darkblue;
    gap: 1rem;
    margin-top: 5px;
    margin-left: 10px;
}

.nav-row a:hover {
    text-decoration: none;
    color: rgb(56, 138, 189);
    gap: 1rem;
}

.login {
    font-family: Georgia, 'Times New Roman', Times, serif;
}

main {
    margin-top: 25px;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

.tags li {
    list-style: none;
    padding: 0.5rem;
}

.tags {
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 2rem;
}

.tags a {
    text-decoration: none;
    color: darkblue;
}

.tags li:hover {
    background-color: lightcoral;
    border-radius: 20px;
}

.recipe-card {
    padding: 2rem;
    margin: 1rem;
    width: 100%; 
    max-width: 300px;
    background-color: aliceblue;
    border-radius: 10px;
}

.recipe-card a {
    color: darkblue;
    text-decoration: none;
}

.recipe-card h2 a:hover {
    color: lightslategray;
    font-weight: bolder;
}

.recipes {
    margin-top: 50px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.recipes.profile-recipes {
    margin-top: 5px;
}

.recipes-header {
    margin-top: 50px;
}

.login-container {
    margin-top: 200px;
}

.recipe-tag {
    padding: 0;
    margin-top: 25px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 2rem;
}

.recipe-tag span {
    background-color: lightcoral;
    border-radius: 20px;
    padding: 0.5rem;
}

.recipe-info {
    display: flex;
    justify-content: center;
    gap: 0rem 3rem;
    flex-wrap: wrap;
}

.rating-summary {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1.5rem;
    flex-wrap: wrap;
    margin-bottom: 20px;
}

.rating-summary p {
    margin: 0;
}

.recipe-columns {
    margin-top: 30px;
    padding: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
    gap: 50px;
}

.recipe-columns li {
    padding: 0.5rem;
}

.ingredients {
    display: flex;
    flex-direction: column;
    flex: 1; 
    max-width: 300px;
    text-align: right;
}

.ingredient-list {
    list-style: none;
}

.steps {
    display: flex;
    flex-direction: column;
    flex: 2;
    max-width: 600px;
    text-align: left;
}

@media (max-width: 768px) {
    .recipe-columns {
        flex-direction: column;
        align-items: left;
        gap: 20px;
        margin-left: 5px;
    }

    .ingredients, .steps {
        max-width: 100%;
        text-align: left; 
        margin-left: 5px;
    }
}
